Subject: bug#4545: gdb does not show the prompt after the program finishes

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Sun, 18 Sep 2011 10:40:25 +0200

Dan Nicolaescu <[email-masked]> writes:

> emacs -Q
>
> M-x gdb RET /bin/ls RET
> r
>
> the program finishes, the output is shown, but the "(gdb)" prompt is not
> shown anymore in the *gud-ls* buffer and "top" shows that emacs is
> taking a lot of CPU time.

In Emacs 24, I don't get any *gud-ls* buffer -- just a *gud* buffer, and
"top" doesn't show anything in particular.

I do get the message

Buffer "*input/output of *" has a running process; kill it? (y or n)  y

but I don't know how meaningful it is to run /bin/ls as the debugger.

Are you still seeing this bug in Emacs 24?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/